/*--------------------------------------------------------------------------

   MOM files displayer
   interface.cpp v1.0 7/March/2001
   Copyright (C) 2001 J. Ribelles

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  --------------------------------------------------------------------------*/


#include <GL/glut.h>
#include "minVis.h"


int modeLOD= 2;


/*--------------------------------------------------------------------------
   Attending the popup menu
  --------------------------------------------------------------------------*/
void menu (int option) {

  switch (option) {
  case 2: glPolygonMode (GL_FRONT_AND_BACK, GL_FILL); break;
  case 3: glPolygonMode (GL_FRONT_AND_BACK, GL_LINE); break;
  case 4: Lod= 0; modeLOD= 0; break;
  case 5: Lod= NLods- 1; modeLOD= 0; break;
  case 6: modeLOD= 1; break; // mouse
  case 7: modeLOD= 2; break; // fovy
  }
  glutPostRedisplay ();
}


/*--------------------------------------------------------------------------
   Defining the popup menu
  --------------------------------------------------------------------------*/
void initMenu (void) {

  int idMenu, idPMMenu, idSequenceMenu;

  idMenu= glutCreateMenu (menu);
  glutAttachMenu (GLUT_RIGHT_BUTTON);

  idPMMenu= glutCreateMenu (menu);
  glutAddMenuEntry ("Fill", 2);
  glutAddMenuEntry ("Line", 3);
  glutSetMenu (idMenu);
  glutAddSubMenu ("Polygon Mode", idPMMenu);

  idSequenceMenu= glutCreateMenu (menu);
  glutAddMenuEntry ("with Mouse", 6);
  glutAddMenuEntry ("with Fovy", 7);
  glutAddMenuEntry ("The highest detail", 4);
  glutAddMenuEntry ("The lowest detail", 5);
  glutSetMenu (idMenu);
  glutAddSubMenu ("Change the LOD", idSequenceMenu);
}


/*--------------------------------------------------------------------------
   End of interface.cpp
  --------------------------------------------------------------------------*/
