/*--------------------------------------------------------------------------

   MOM files displayer
   minVis.h v1.0 7/March/2001
   Copyright (C) 2001 J. Ribelles

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  --------------------------------------------------------------------------*/

// About the camera
#define mainWindowWidth  600
#define mainWindowHeight 600
#define mainWindowPosX   50
#define mainWindowPosY   50

extern float  fovy;
extern double aspect;
extern int    Lod, NLods;
extern int    modeLOD;

// attending a redraw event
void reshape (int width, int height);

// attending a keyboard event
void keyboard (unsigned char key, int px, int py);

// attending a motion mouse event
void motion (int x, int y);

// attending a click button mouse event
void mouse (int button, int state, int x, int y);

// when the application is idle
void idle (void);

// About what button is pressed (in the mouse)
#define NO_BUTTON_PRESSED   3
#define LEFT_BUTTON_HOLDED  4
#define LEFT_BUTTON_AND_CONTROL_HOLDED 5
#define LEFT_BUTTON_AND_SHIFT_HOLDED 7
#define GLUT_LEFT_BUTTON_AND_SHIFT 6
#define GLUT_LEFT_BUTTON_AND_CONTROL 8

extern float matrixRotation[16];    // rotation matrix for the object

// the popup menu definition
extern void initMenu (void);
extern void initInterface (void);

